@import url("https://fonts.googleapis.com/css2?family=Roboto&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Roboto", sans-serif;
  scroll-behavior: smooth;
}

body {
  max-width: 1220px;
  margin: auto;
  position: relative;
}

/* header */
.header {
}

figure {
  width: 130px;
}

figure img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.nav {
  font-size: 1.2rem;
}

.nav ul {
  list-style: none;
}

.nav ul li {
  padding-inline: 20px;
}

.nav ul li a {
  text-decoration: none;
  color: black;
  transition: 2s;
  scroll-behavior: smooth;
}

.nav ul li a:hover {
  transform: scale(1.5);
  color: #0bceaf;
}

.nav ul li a:active {
  border-bottom: 1px solid black;
  color: #0bceaf;
}

.modals ul li {
  list-style: none;
}
.modals ul li a {
  color: white;
}

/* banner sections */

.banner {
  padding-block: 10rem;
  margin: 0 auto;
  gap: 30px;
  padding-inline: 20px;
}

.profile-content {
  width: 400px;
  gap: 5px;
}

.profile-content h3 {
  background-color: #0bceaf;
  color: white;
  border-radius: 30px 30px 30px 0;
  font-size: 1.2rem;
  text-align: center;
  padding-block: 5px;
  width: 120px;
  height: 30px;
}

.profile-content h1 {
  font-size: clamp(2rem, 3.5vw, 4rem);
  text-shadow: 1px 1px 10px #82f6e5;
}

.profile-image-bg {
  height: clamp(230px, 34vw, 280px);
  width: clamp(230px, 34vw, 280px);
  background-color: rgba(108, 117, 125, 0.5);
}

.profile-image-bg img {
  margin-top: 15px;
  width: clamp(200px, 30vw, 250px);
  height: clamp(200px, 30vw, 250px);
}

/* About */

.about {
  padding-inline: 20px;
  min-height: 100vh;
}

.about-image {
  width: clamp(450px, 35vw, 600px);
}

.about-content {
  width: clamp(450px, 35vw, 600px);
  padding-inline: 10px;
}

.about-content div {
  gap: 5px;
}

.about-content div p {
  border: 1px solid #0bceaf;
  padding: 10px;
  border-radius: 10px;
}

.about-content a {
  color: white;
  text-decoration: none;
  background-color: #0bceaf;
  padding: 10px;
  margin-block: 10px;
  width: 150px;
}

/* skills */

.skills {
  margin-block: 15rem;
}

.skills-list {
  display: flex;
  flex-wrap: wrap;
  gap: 30px;
}

.skill-1,
.skill-2,
.skill-3 {
  box-shadow: 10px 10px 10px 4px #00000015;
  width: 350px;
  padding: 20px;
  display: flex;
  flex-flow: column nowrap;
  gap: 20px;
  margin-inline: 20px;
}
.skill-1 i {
  color: purple;
  font-size: 25px;
  font-weight: bold;
}

.skill-2 i {
  color: rgb(253, 126, 20);
  font-size: 25px;
  font-weight: bold;
}

.skill-3 i {
  color: rgb(23, 162, 184);
  font-size: 25px;
  font-weight: bold;
}

/* experiences */
.experience {
  gap: 50px;
  padding-inline: 5px;
}

.education-info {
  width: 450px;
  height: 180px;
  box-shadow: 10px 10px 10px 4px #00000015;
  padding: 10px;
  margin-top: 20px;
}

.education-info h4 {
  font-size: 1.3rem;
}

.education-info h4 span {
  color: #0bceaf;
}

.education-info h5 {
  font-size: 1.1rem;
  color: #0bceaf;
}

.education-info {
  font-size: 1rem;
}

/* portfolio */

.portfolio {
  margin-top: 20rem;
}

.portfolio-content {
  background-color: rgba(79, 79, 79, 0.56);
  padding: 10px;
  z-index: 1;
  border-radius: 10px;
  position: relative;
}

.portfolio-content img {
  z-index: 5;
}

.overlay {
  opacity: 0;
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: #bc54f0bf;
  z-index: 10;
  top: 0;
  right: 0;
}

.overlay h3 {
  color: white;
  font-size: 50px;
  font-weight: 600;
}

.overlay a {
  text-align: center;
  text-decoration: none;
  background-color: #0bceaf;
  color: white;
  width: 100px;
  border-radius: 10px;
}

.overlay:hover {
  opacity: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
  transition: 1s;
}

/* contact */

.contact {
  margin-top: 10rem;
  gap: 20px;
  padding-inline: 10px;
}

.contact-form form {
  gap: 20px;
}

.contact-form form input {
  background-color: rgba(223, 221, 221, 0.434);
  outline: none;
  border: none;
  height: 50px;
}

.contact-form form textarea {
  background-color: rgba(223, 221, 221, 0.434);
  outline: none;
  border: none;
  resize: none;
}

.arrow {
  position: fixed;
  bottom: 50px;
  right: 80px;
  background-color: #0bceaf;
  font-size: 30px;
  width: 50px;
  text-align: center;
}

.arrow a {
  color: white;
}
